import { request } from 'umi';

export default {
    //获取组织树
    getOrgTree() {
        return request('​/kitchen/api​/sysOrg​/tree', {
            method: 'GET'
        });
    },

    /**
     * 添加组织架构
     * @param {*} params 
     * @returns 
     */
    AddOrg(params) {
        return request('/kitchen/api/sysOrg/add', {
            method: 'POST',
            data: {
                ...params,
            },
        });
    },

    /**
     * 更新组织架构信息
     * @param {*} params 
     * @returns 
     */
    UpdateOrg(params) {
        return request('​/kitchen/api​/sysOrg​/edit', {
            method: 'POST',
            data: {
                ...params,
            },
        });
    },

    //获取支付配置
    getPayTemplateList() {
        return request(`/kitchen/api/paytemplate/getPayTemplatePageList`, {
            method: 'post',
            data: { current: 1, pageSize: 100 },
        });
    },

    /** 添加设备  */
    AddDeviceInfo(data) {
        return request(`/kitchen/api/Device/AddDeviceInfo`, {
            method: 'POST',
            data: data,
        });
    },

    /** 修改设备  */
    UpdateDeviceInfo(data) {
        return request(`/kitchen/api/Device/UpdateDeviceInfo`, {
            method: 'POST',
            data: data,
        });
    },

    /** 获取设备类型 */
    GetDicList(TypeCode) {
        return request(`/kitchen/api/dict-data/dic-list/${TypeCode}`, {
            method: 'Get',
        });
    },

    /** 获取所有设备类型  */
    GetDeviceType() {
        return request(`​/kitchen/api/Device/GetDeviceType`, {
            method: 'GET',
        });
    },

    /** 获取所有设备版本  */
    GetDeviceVersions() {
        return request(`​/kitchen/api/Device/GetDeviceVersions`, {
            method: 'post',
        });
    },

    /** 添加设备类型  */
    AddDeviceType(data) {
        return request(`/kitchen/api/Device/AddDeviceType`, {
            method: 'POST',
            data: data,
        });
    },

    GetDeviceInfoPage(data) {
        return request(`/kitchen/api/Device/GetDeviceInfoPage`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 获取组织架构分页
     * @param {*} params 
     * @param {*} options 
     * @returns 
     */
    getpage(params, options) {
        return request('/kitchen/api/sysOrg​/page', {
            method: 'GET',
            params: {
                ...params,
            },
        });
    },

    /**
     * 获取菜谱列表
     * @param {*} data 
     * @returns 
     */
    GetFoodMenuInfoPage(data) {
        return request(`/kitchen/api/FoodMenu/GetFoodMenuInfoPage`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 添加菜谱
     * @param {*} data 
     * @returns 
     */
    AddFoodMenu(data) {
        return request(`/kitchen/api/FoodMenu/AddUpdateFoodMenu`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 更新菜谱
     * @param {*} data 
     * @returns 
     */
    UpdateFoodMenu(data) {
        return request(`/kitchen/api/FoodMenu/AddUpdateFoodMenu`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 根据设备ID查询商品列表
     * @param {*} data 
     * @returns 
     */
    GetDeviceGoods(data) {
        return request(`/kitchen/api/Device/GetDeviceGoods`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 添加商品
     */
    AddGoods(data) {
        return request(`/kitchen/api/goods`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 
     * @param {*} data 
     * @returns 
     */
    UpdateGoods(data) {
        return request(`/kitchen/api/goods`, {
            method: 'PUT',
            data: data,
        });
    },

    /**
     * 获取商品单位
     * @param {*} data 
     * @returns 
     */
    GetUnitList(data) {
        return request(`/kitchen/api/goods-unit/type`, {
            method: 'Post',
            data: data,
        });
    },

    /**
     * 获取商品大类
     * @param {*} data 
     * @returns 
     */
    GetGoodsbigType(data) {
        return request(`/kitchen/api/goods-type/big-goods-types`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 获取商品小类
     * @param {*} data 
     * @returns 
     */
    GetGoodsSmallType(data) {
        return request(`/kitchen/api/goods-type/goods-types`, {
            method: 'POST',
            data: data
        });
    },

    /**
     * 获取上传地址
     * @param {*} data 
     * @returns 
     */
    GetCosRequestURL(data) {
        return request(`/kitchen/api/systemconfig/GetCosRequestSignURL`, {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 添加商品单位
     * @param {*} data 
     * @returns 
     */
    CreateUnit(data) {
        return request('/kitchen/api/goods-unit', {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 添加商品大类
     * @param {*} data 
     * @returns 
     */
    AddGoodsTypeListNew(data) {
        return request(`/kitchen/api/goods-type/goods-type-new`, {
            method: 'post',
            data: data,
        });
    },

    /**
     * 添加商品小类
     * @param {*} data 
     * @returns 
     */
    AddGoodsSmallType(data) {
        return request('/kitchen/api/goods-type', {
            method: 'POST',
            data: data,
        });
    },

    /** 获取商品  */
    GetgoodsList(data) {
        return request(`/kitchen/api/goods/goodss`, {
            method: 'Post',
            data: data,
        });
    },

    /**
     * 获取配方分页
     * @param {*} data 
     * @returns 
     */
    GetBomPage(data) {
        return request(`/kitchen/api/bom/getpage`, {
            method: 'Post',
            data: data,
        });
    },

    /**
     * 添加配方
     * @param {*} data 
     * @returns 
     */
    AddBom(data) {
        return request(`/kitchen/api/bom/add`, {
            method: 'Post',
            data: data,
        });
    },

    /**
     * 更新配方
     * @param {*} data 
     * @returns 
     */
    UpdateBom(data) {
        return request(`/kitchen/api/bom/update`, {
            method: 'Post',
            data: data,
        });
    },

    /**
     * 获取菜谱分类
     * @param {*} data 
     * @returns 
     */
    GetBomTypePage(data) {
        return request(`/kitchen/api/bom/getbomtypepage`, {
            method: 'Post',
            data: data,
        });
    },

    //添加菜谱分类
    CreateBomType(data) {
        return request(`/kitchen/api/bom/addbomtype`, {
            method: 'Post',
            data: data,
        });
    },

    /**添加物料 */
    AddMaterial(params) {
        return request('/kitchen/api/product/', {
            method: 'POST',
            data: {
                ...params,
            },
        });
    },

    /**修改物料 */
    UpdateMaterial(params) {
        return request('/kitchen/api/product/', {
            method: 'PUT',
            data: {
                ...params,
            },
        });
    },

    /**获取物料基础信息 */
    GetMaterialPage(params) {
        return request('/kitchen/api/product/product-list', {
            method: 'Post',
            data: params,
        });
    },

    /**获取物料类别 */
    GetMaterialTypeList(params) {
        return request('/kitchen/api/product-type/type-list', {
            method: 'GET',
            params: {
                ...params,
            },
        });
    },

    /**获取物料单位 */
    GetMaterialUintList(params) {
        return request('/kitchen/api/unit/uint-list', {
            method: 'GET',
            params: {
                ...params,
            },
        });
    },

    /**
     * 添加物料单位
     * @param {*} data 
     * @returns 
     */
    AddMaterialUnit(data) {
        return request('/kitchen/api/unit', {
            method: 'POST',
            data: data,
        });
    },

    /**
     * 添加物料分类
     * @param {*} data 
     * @returns 
     */
    AddMaterialType(data) {
        return request('/kitchen/api/product-type', {
            method: 'POST',
            data: data,
        });
    },

    QuickStartAdd(data) {
        return request('/kitchen/api/quickstart/add', {
            method: 'POST',
            data: data,
        });
    }
}